package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

public class PersonalizationDataModel implements Serializable
{

    @SerializedName("id")
    @Expose
    private String id;
    @SerializedName("model_id")
    @Expose
    private String modelId;
    @SerializedName("title")
    @Expose
    private String title;
    @SerializedName("position")
    @Expose
    private String position;
    @SerializedName("color")
    @Expose
    private List<PersonalizationColorModel> personalizationColorModelList = null;
    private final static long serialVersionUID = -2010831257367159866L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getModelId() {
        return modelId;
    }

    public void setModelId(String modelId) {
        this.modelId = modelId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public List<PersonalizationColorModel> getColor() {
        return personalizationColorModelList;
    }

    public void setColor(List<PersonalizationColorModel> color) {
        this.personalizationColorModelList = color;
    }

}